GET /data/tasks/{task_id}/working-files

Retrieve all working file revisions for a given task. Returns complete list of working files with their revisions.

Path parameters

  • task_id string(uuid) Required

    Task unique identifier

Responses

  • 200 application/json

    All working file revisions for given task

    Hide response attributes Show response attributes object
    • id string(uuid)

      Working file unique identifier

    • name string

      Working file name

    • revision integer

      Working file revision

    • updated_at string(date-time)

      Last update timestamp

    • task_id string(uuid)

      Task identifier

GET /data/tasks/{task_id}/working-files
curl -X GET "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/working-files" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/working-files"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/working-files' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "b35b7fb5-df86-5776-b181-68564193d36",
    "name": "main",
    "revision": 1,
    "updated_at": "2023-01-01T12:00:00Z",
    "task_id": "c46c8gc6-eg97-6887-c292-79675204e47"
  }
]